> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpaperjet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all models

> List all models



## OpenAPI

````yaml get /api/v1/admin/models
openapi: 3.1.0
info:
  title: PaperJet API
  description: Secure document extraction API
  version: 1.0.0
servers:
  - url: https://app.getpaperjet.com
    description: Production Server
security:
  - apiKeyAuth: []
paths:
  /api/v1/admin/models:
    get:
      description: List all models
      operationId: getApiV1AdminModels
      responses:
        '200':
          description: List of models
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    provider:
                      type: string
                    providerApiKey:
                      type: string
                    modelName:
                      type: string
                    displayName:
                      type: string
                    baseUrl:
                      type: string
                  required:
                    - id
                    - provider
                    - modelName
                    - displayName
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````